module.exports = {
  create: {
    requestBody: [
      'name',
      'number',
      'batch',
      'term',
      'headteacherid',
      'lyteacherid',
      'type'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'number',
      'batch',
      'term',
      'headteacherid',
      'lyteacherid',
      'type'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name: 'name',
        number  :'number',
        batch :'batch',
        term: 'term',
        headteacherid : 'headteacherid',
        lyteacherid : 'lyteacherid',
        type: 'type'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
